Bug 249242 - designer4 - segmentation fault on ppc & s390x
Summary: designer4 - segmentation fault on ppc & s390x
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: qt4   
(Show other bugs)
Version: 5.0
Hardware: s390x
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Ngo Than
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-23 08:41 UTC by Martin Kočí
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-13 15:19:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Martin Kočí 2007-07-23 08:41:07 UTC
Description of problem:
on ppcp and s390x architectures is segmentation fault after attempt to start
designer4.

Version-Release number of selected component (if applicable):
qt4-4.2.1-1
(on system was installed qt-3.3.6-21.el5.src.rpm as well, but after
uninstall it issue persist)

How reproducible:
try to start qt designer 4 on s390x or ppcp architecture

Actual results:
not started - Segmentation fault

Expected results:
started ok

Comment 1 Ngo Than 2007-09-13 15:19:21 UTC
--- qt-x11-opensource-src-4.3.1/src/corelib/arch/qatomic_powerpc.h.ppc64   
2007-08-07 08:08:39.000000000 -0500
+++ qt-x11-opensource-src-4.3.1/src/corelib/arch/qatomic_powerpc.h   
2007-08-23 06:54:36.000000000 -0500
@@ -44,7 +44,7 @@
 QT_BEGIN_HEADER

 #if defined(Q_CC_GNU)
-#ifdef __64BIT__
+#if defined(__64BIT__) || defined(__powerpc64__) || defined(__s390x__)
 #  define LPARX "ldarx"
 #  define CMPP  "cmpd"
 #  define STPCX "stdcx."


it's fixed in rawhide.

Comment 2 Rex Dieter 2007-10-04 15:15:49 UTC
This patch looks wrong to me s390x-wise anyway, is qatomic_powerpc.h even used
on s390 platform (instead of qatomic_s390.h)?


Note You need to log in before you can comment on or make changes to this bug.